routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\CompanyStructure;
use App\EmployeePersonalDetail;
use App\JobDetailsSetup;
use App\User;
use App\Holiday;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Request;
use Illuminate\Support\Facades\Response;


Route::get('login', 'Auth\LoginController@showLoginForm');
Route::post('login', 'Auth\LoginController@authenticate');
Route::get('logout', 'Auth\LoginController@logout');
Route::get('resetForm', 'Auth\LoginController@resetForm');
Route::get('check/{token?}', 'Auth\LoginController@forgetPassword');
Route::get('resetPassword/{key?}/{m?}', 'Auth\LoginController@resetPassword');
Route::post('/recoverPasswordEmail', 'Auth\LoginController@recoverPasswordEmail');


Route::group(['middleware' => ['auth', 'cuser']], function () {


    Route::get('/', function () {
        return view('dashboard');
    });

    Route::get('/dashboard', function () {
        return view('dashboard');
    });


    /*
     * User Route
     */

    Route::resource('user', 'UserController');

    Route::delete('/user/{id?}', function ($id) {

        $user = User::where('id', $id)->update(['flag' => 0]);
        return response::json($user);
    });

    // User Status Change

    Route::get('/type_change/{id?}', function ($id) {

        $flag = USER::find($id)->flag;

        if ($flag == 1) {
            User::where('id', $id)->update(['flag' => 2]);
            echo "Inactivated";

        } else if ($flag == 2) {
            User::where('id', $id)->update(['flag' => 1]);
            echo "Activated";
        }

    });

    // User Type Change

    Route::get('/t_change/{id?}/{type?}', function ($id, $type) {

        if ($type == "Admin") {
            User::where('id', $id)->update(['type' => 'Admin']);
            echo "Admin";
        } elseif ($type == "User") {
            User::where('id', $id)->update(['type' => 'User']);
            echo "User";
        }

    });


    /*
     * Job Details Setup
     */

    Route::resource('jobDetails', 'JobDetailsSetupController');
    Route::delete('/jobDetails/{id?}', function ($id) {
        $income = JobDetailsSetup::destroy($id);
        return response::json($income);
    });

    /*
     * Employee Setup
     */

    Route::resource('employeeSetup', 'employeeSetupController');
    Route::delete('/employee/{id?}', function ($id) {

        $employee = EmployeePersonalDetail::where('id', $id)->update(['flag' => 0]);

        return response::json($employee);
    });

    Route::get('email_check/{mail_check?}', function () {
        $mail = $_GET['mail_check'];
        //  $check = Loan::matchAccount($account_no);
        $c = User::where('email', $mail)->get()->count();
        if ($c == 0) {
            echo $a = "ok";
            //return response::json($a);

        } else {

            echo $a = "not";
        }

    });

    // Employee profile



    Route::get('empProfile/{id}', 'employeeSetupController@empProfile');





    Route::resource('company_structure', 'CompanyStructureController');

    Route::delete('/structure/{id?}', function ($id) {

        $structureList = CompanyStructure::destroy($id);
        return response::json($structureList);
    });

    Route::get('qualification', 'QualificationsController@asd');

    Route::get('/editItem', 'QualificationsController@editItem');
    Route::get('/addItem', 'QualificationsController@addItem');


    Route::delete('/delete/{id?}', function ($id) {

        $qualification = \App\QualificationSetup::destroy($id);
        return response::json($qualification);
    });


    Route::get('training_setup', 'TrainingController@view');

    Route::get('/addCourse', 'TrainingController@addCourse');

    Route::get('/editCourse', 'TrainingController@editCourse');


    Route::delete('/deleteCourse/{id?}', function ($id) {

        $course = \App\Course::destroy($id);
        return response::json($course);
    });

    Route::get('/addTraining', 'TrainingController@addTraining');

    Route::get('/editTraining', 'TrainingController@editTraining');

    Route::delete('/deleteTraining/{id?}', function ($id) {

        $training = \App\TranningSession::destroy($id);
        return response::json($training);
    });

    Route::get('/addEmployeeTraining', 'TrainingController@addEmployeeTraining');

    Route::delete('/delete_empTrain/{id?}', function ($id) {

        $emp_train = \App\EmployeeTraningSession::destroy($id);
        return response::json($emp_train);
    });

    Route::get('/editEmpTraining', 'TrainingController@edit_emp_Training');


    /*Loan Setup*/
    Route::get('loan_setup', 'LoanController@view');
    Route::get('/addLoan', 'LoanController@addLoan');
    Route::get('/editLoan', 'LoanController@editLoan');
    Route::delete('/deleteLoan/{id?}', function ($id) {

        $loan = \App\LoanType::destroy($id);
        return response::json($loan);
    });


    Route::get('/addEmployeeLoan', 'LoanController@addEmployeeLoan');
    Route::get('/editEmployeeLoan', 'LoanController@edit_emp_Loan');
    Route::delete('/delete_EmployeeLoan/{id?}', function ($id) {
        $emp_train = \App\EmployeeLoan::destroy($id);
        return response::json($emp_train);
    });

    Route::get('employee_salary', 'employeeSetupController@employee_salary');
    Route::get('salary_setup', 'PayrollController@view');
    Route::resource('set_salary', 'PayrollController');

    Route::get('view_salary_setup', 'PayrollController@view_setup');

    // Loan Status Change

    Route::get('/status_change/{id?}', function ($id) {
        $status = \App\EmployeeLoan::find($id)->status;
        if ($status == "Active") {
            \App\EmployeeLoan::where('id', $id)->update(['status' => "Deactive"]);
        } else if ($status == "Deactive") {
            \App\EmployeeLoan::where('id', $id)->update(['status' => "Active"]);
        }
    });

//    Installment
    Route::resource('installment', 'InstallmentController');
    Route::get('/employee-loan/{id?}', function ($id) {
        $employee_loans = \App\EmployeeLoan::where('employee_id', $id)->get();
        return response::json($employee_loans);
    });

    Route::get('/loan-installment/{id?}', function ($id) {
        $installments = \App\Installment::where('loan_id', $id)->get();
        return response::json($installments);
    });
    Route::get('/addInstallment', 'InstallmentController@add_installment');
    Route::delete('/delete_LoanInstallment/{id?}', function ($id) {
        $del_installment = \App\Installment::destroy($id);
        return response::json($del_installment);
    });


    /**
     * Attendance
     */

    Route::resource('attendance', 'AttendanceController');
    Route::any('attendance/monthlyView/{id}', 'AttendanceController@show');
    Route::get('attendance/monthly/{id}', 'AttendanceController@monthlyData');
    Route::post('attendance/specific_month', 'AttendanceController@specificMonth');
    Route::get('attendance/specific_month_user/{id}', 'AttendanceController@monthlyData');
    Route::get('/giv_atten', 'AttendanceController@giveAttendance');
    Route::get('/manual_atten/{id}/{date}/{check_in}/{check_out}', 'AttendanceController@manualAttendance');
    Route::get('/edit_atten/{id}/{date}/{c_in?}/{c_out?}', 'AttendanceController@editAttendance');

    Route::get('attendance_graph_data' , 'AttendanceController@AttendanceGraphData');

    Route::get('checkSalaryGrade/{salaryGrade?}', function () {
        $salary_grade = $_GET['grade'];

        $count = \App\SalarySetup::where('salary_grade', '=', $salary_grade)->where('flag', '=', 0)->get()->count();
        if ($count == 0) {
            echo $a = "ok";

        } else {

            echo $a = "not";
        }

    });

    Route::get('/deleteSalary/{id?}', function ($id) {

        $delete = \App\SalarySetup::find($id);
        $delete->flag = 1;
        $delete->update();
        return response::json($delete);
    });





    /*Employee salary setup*/

    Route::get('emp_salary_setup', 'EmployeeSalarySetupController@view');
    Route::get('salaryGradeInfo', 'EmployeeSalarySetupController@salaryGradeInfo');
    Route::get('salaryGrade', 'EmployeeSalarySetupController@salaryGrade');

    Route::resource('set_employee_salary', 'EmployeeSalarySetupController');

    Route::get('emp_view_salary_setup', 'EmployeeSalarySetupController@view_salary');

    Route::get('/deleteEmployeeSalary/{id?}',function($id){

        $delete = \App\EmployeeSalarySetup::find($id);
        $delete->flag = 1;
        $delete->update();
        return response::json($delete);
    });
    Route::get('view_details/{id}', 'EmployeeSalarySetupController@view_details');

    Route::get('checkEmpId/{employee_id?}', function () {
        $emp_id = $_GET['employee_id'];

        $count = \App\EmployeeSalarySetup::where('employee_id', '=', $emp_id)->where('flag', '=', 0)->get()->count();
        if ($count == 0) {
            echo $a = "ok";

        } else {

            echo $a = "not";
        }

    });


    /*Employee Loan setup*/
    Route::get('employeeLoan/{id}', 'LoanController@empLoan');


    Route::get('/applyEmployeeLoan', 'LoanController@applyEmployeeLoan');
    Route::get('/editApplyEmployeeLoan', 'LoanController@editApplyEmployeeLoan');

    Route::get('/showInstallment', 'LoanController@showInstallment');


    /*Resign Setting*/



    Route::get('resignApply/{id}', 'ResignController@view');

    Route::get('/apply_for_resign', 'ResignController@applyResign');

    Route::get('/editResign', 'ResignController@editResign');

    Route::get('/deleteEmployeeResign/{id?}',function($id){

resources/views/addCompanyStructure.blade.php
@extends('layouts.master')
@section('title', 'Add User')
@section('content')

    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="title_left">
                    {{--<h3>Company Structure</h3>--}}
                </div>


            </div>
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>Company Structure Registration<!--<small>Input different form elements</small>--></h2>
                            <ul class="nav navbar-right panel_toolbox">
                                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                                </li>
                                <li><a class="close-link"><i class="fa fa-close"></i></a>
                                </li>
                            </ul>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            <br/>

                            <form action="{{route('company_structure.store')}}" data-parsley-validate method="POST" class="form-horizontal" role="form"
                                  files="true" enctype="multipart/form-data">
                                {{ csrf_field() }}
                                <div class="form-body">

                                        <div class="form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">Name</label>
                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                <input type="text" class="form-control col-md-7 col-xs-12"
                                                       placeholder="Enter Name" name="name" value="{{old('name')}}" required>
                                                @if ($errors->has('name'))
                                                    <span class="help-block">
                                                <strong>{{ $errors->first('name') }}</strong>
                                            </span>
                                                @endif
                                            </div>
                                        </div>
                                    <div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Details</label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <textarea class="form-control col-md-7 col-xs-12"
                                                      placeholder="Details" name="details" value="{{old('details')}}"></textarea>
                                            @if ($errors->has('details'))
                                                <span class="help-block">
                                                <strong>{{ $errors->first('details') }}</strong>
                                            </span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Address</label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="fa fa-envelope-o"></i>
                                    </span>
                                                <textarea name="address" class="form-control col-md-7 col-xs-12"
                                                          placeholder="Address" value="{{old('address')}}" required></textarea>
                                            </div>
                                            @if ($errors->has('address'))
                                                <span class="help-block">
                                                <strong>{{ $errors->first('address') }}</strong>
                                            </span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Department Type</label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            {!! Form::select('department_type', array('Company' => 'Company', 'Department' => 'Department','Head Office' => 'Head Office','Regional Office' => 'Regional Office','Sub Unit Office' => 'Sub Unit Office','Unit' => 'Unit','Other' => 'Other'), null, ['class'=>'form-control col-md-7 col-xs-12','placeholder' => 'Choose a Department Type']) !!}
                                            @if ($errors->has('department_type'))
                                                <span class="help-block">
                                                <strong>{{ $errors->first('department_type') }}</strong>
                                            </span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="form-body">
                                        <div class="form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">Country</label>
                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                <input type="text" class="form-control col-md-7 col-xs-12"
                                                       placeholder="Enter Country Name" name="country" value="{{old('country')}}" required>
                                                @if ($errors->has('country'))
                                                    <span class="help-block">
                                                <strong>{{ $errors->first('country') }}</strong>
                                            </span>
                                                @endif
                                            </div>
                                        </div>

                                        <div class="form-body">
                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">IP Address</label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <input type="text" class="form-control col-md-7 col-xs-12"
                                                           placeholder="Enter IP Address" name="ip_address" value="{{old('ip_address')}}">
                                                    @if ($errors->has('ip_address'))
                                                        <span class="help-block">
                                                <strong>{{ $errors->first('ip_address') }}</strong>
                                            </span>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-body">
                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">Office Start Time</label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <input type='text' name="office_start_time" class="form-control datetimepicker3" id=""
                                                           placeholder="Start Time"/>
                                                    @if ($errors->has('office_start_time'))
                                                        <span class="help-block">
                                                <strong>{{ $errors->first('office_start_time') }}</strong>
                                            </span>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-body">
                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">Last Entry Time</label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <input type='text' name="last_entry_time" class="form-control datetimepicker3" id=""
                                                           placeholder="Last Entry Time"/>
                                                    @if ($errors->has('office_start_time'))
                                                        <span class="help-block">
                                                <strong>{{ $errors->first('office_start_time') }}</strong>
                                            </span>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-body">
                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">Office End Time</label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <input type='text' name="office_end_time" class="form-control datetimepicker3" id=""
                                                           placeholder="End Time"/>
                                                    @if ($errors->has('office_end_time'))
                                                        <span class="help-block">
                                                <strong>{{ $errors->first('office_end_time') }}</strong>
                                            </span>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>


                                    <div class="ln_solid"></div>
                                    <div class="form-group">
                                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                                            <a type="cancel" href="{{ url('dashboard') }}" class="btn btn-danger">Cancel</a>
                                            <button type="submit" class="btn btn-primary">Add</button>
                                        </div>
                                    </div>
                                    </div>
                                </div>
                            </form>


                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        // validate a field on "blur" event, a 'select' on 'change' event & a '.reuired' classed multifield on 'keyup':
        $('form')
            .on('blur', 'input[required], input.optional, select.required', validator.checkField)
            .on('change', 'select.required', validator.checkField)
            .on('keypress', 'input[required][pattern]', validator.keypress);

        $('.multi.required').on('keyup blur', 'input', function() {
            validator.checkField.apply($(this).siblings().last()[0]);
        });

        $('form').submit(function(e) {
            e.preventDefault();
            var submit = true;

            // evaluate the form using generic validaing
            if (!validator.checkAll($(this))) {
                submit = false;
            }

            if (submit)
                this.submit();

            return false;
        });

    </script>



@endsection

@section('script')

    {{--TimePicker--}}
    <script type="text/javascript">

        $('.datetimepicker3').datetimepicker({
            format: 'HH:mm:ss'
        });
    </script>

@endsection

resources/views/applyBill.blade.php
@extends('layouts.master')
@section('title', 'Bill')
@section('content')



    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="title_left">
                    {{--<h3>Company Structure</h3>--}}
                </div>


            </div>
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>Apply For Bill<!--<small>Input different form elements</small>--></h2>
                            <ul class="nav navbar-right panel_toolbox">
                                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                                </li>
                                <li><a class="close-link"><i class="fa fa-close"></i></a>
                                </li>
                            </ul>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            <br/>

                            <form action="{{url('bill')}}" id="form" data-parsley-validate method="POST" class="form-horizontal" role="form"
                                   files="true" enctype="multipart/form-data">
                                {{ csrf_field() }}
                                <div class="form-body">

                                    <div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Bill Title</label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <textarea class="form-control col-md-7 col-xs-12 title"
                                                      name="title" id="title" rows="4" cols="3"  required></textarea>
                                            @if ($errors->has('title'))
                                                <span class="help-block">
                                                <strong>{{ $errors->first('title') }}</strong>
                                            </span>
                                            @endif
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Total Cost</label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <input type="text" class="form-control col-md-7 col-xs-12 total_bill" name="total_bill" id="total_bill" value="{{old('total_bill')}}" required>
                                            @if ($errors->has('total_bill'))
                                                <span class="help-block">
                                                <strong>{{ $errors->first('total_bill') }}</strong>
                                            </span>
                                            @endif
                                        </div>
                                    </div>


                                    <div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Attachment</label>
                                        <div class="fileinput fileinput-new col-md-6 col-sm-6 col-xs-12" data-provides="fileinput">
                                            <input type="file" class="" id="attachment" name="attachment" value="{{old('attachment')}}"/>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Date</label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <div class='input-group date' id='datetimepicker1'>
                                                <input type='text' name="date" id="date" class="form-control date" value="{{old('date')}}"/>
                                                <span class="input-group-addon">
                                                     <span class="glyphicon glyphicon-calendar"></span>
                                                          </span>
                                            </div>
                                        </div>
                                        <script type="text/javascript">
                                            $(function () {
                                                $('#datetimepicker1').datepicker();
                                            });
                                        </script>
                                    </div>





                                    <div class="form-group">

                                        <input type="hidden" id="employee_id" name="employee_id" value="{{$var}}">
                                    </div>

                                    <div class="form-group">

                                        <div class="col-sm-10">
                                            <input type="hidden" class="form-control id"
                                                   id="id" name="id" />
                                        </div>
                                    </div>



                                    <div class="form-group">
                                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">

                                            <button type="button" id="save-btn" data-token="{{ csrf_token() }}" class="btn btn-primary">Apply</button>
                                        </div>
                                    </div>


                                </div>
                            </form>


                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        // validate a field on "blur" event, a 'select' on 'change' event & a '.reuired' classed multifield on 'keyup':


    </script>



@endsection

@section('script')

    <script>
        $("#save-btn").click(function (e) {



            $('textarea.title,input.date,input.total_bill').each(function () {
                if ($.trim($(this).val()) == '') {
                    isValid = false; /* Required class style */
                    $(this).css({
                        "border": "1px solid red",
                        "background": "#FFCECE"
                    });
                    //isGoodImage(file);
                }
                else { /* Required class style removed */
                    $(this).css({
                        "border": "",
                        "background": ""
                    });
                    isValid = true;
                }
            });
            if (isValid == false)
                e.preventDefault();
            else{

                $('#form').submit();

            }



        })


    </script>


@endsection